É necessário possuir Star Conflict no Steam para usar este conteúdo.

Data de lançamento: 27 Fev 2013

Conteúdo adicional

É necessário possuir Star Conflict no Steam para usar este conteúdo.

Comprar Star Conflict: Elite Pilot Pack

$79.99

Sobre o jogo

Become one of the elite pilots of the galaxy with the Star Conflict Elite Pilot Pack.
A unique Platinum VIP bonus, giving a permanent bonus to loyalty and ships synergy gain, as well as 4 unique ships, and a tidy sum in gold standards that will help you lead the hunt for the artifacts of Precursors.

Upon receiving this item set, the owner becomes recognized as a mercenary and receives a unique title Elite Pilot.

Contents:

  • "Money Bag". 25,000 gold standards!
  • "Platinum VIP". Permanent 10% bonus to loyalty and ships synergy gain * — Become the leader!
  • Unique T2 Empire interceptor "Wasp"
  • Unique T2 Jericho frigate "Priest Bartle"
  • Unique T3 Jericho fighter "Dragonfly"
  • Unique T3 Federation fighter "Bear"
  • "Personal Storage". Maximum size of your warehouse for modules and weaponry!
  • "Elite stickers." Collection of 10 luxury stickers for your ships

* If you get other Star Conflict DLCs containing same bonus, they will stack!

Requisitos do sistema – PC

    Recommended:
    • OS:Windows XP SP3/Vista/Win 7
    • Processor:Intel Core 2 Duo or AMD Athlon 64 X2
    • Memory:1 GB RAM
    • Graphics:Pixel Shader 3.0 compliant video card with 512 Ram (Nvidia Geforce 260 GT or better)
    • DirectX®:9.0c
    • Hard Drive:3 GB HD space
    • Sound:DirectX 9.0c Compatible
    • Other Requirements:Broadband Internet connection

Requisitos do sistema – Mac

    Minimum:
    • OS:Snow Leopard (10.6.X)
    • Processor:2.3 Ghz Intel
    • Graphics:512 MB NVidia or ATI graphics card
    • Hard Drive:2 GB HD space
    • Other Requirements:Broadband Internet connection
    • Additional:Not recommended for Intel integrated graphics or Mac Minis or early-generation MacBooks
    Recommended:
    • Processor:2.3 Ghz Intel
    • Graphics:512 MB NVidia GeForce 285 / NVidia GeForce 9600 / ATI 5750 or higher graphics card
    • Hard Drive:2 GB HD space
    • Other Requirements:Broadband Internet connection
    • Additional:Not recommended for Intel integrated graphics or Mac Minis or early-generation MacBooks

Requisitos do sistema - Linux

    Minimum:
    • OS: Ubuntu 13.04 or SteamOS
    • Processor: 2.0 Ghz Intel Pentium-4 / AMD Athlon II
    • Memory: 1 GB RAM
    • Hard Disk Space: 2 GB
    • Video Card: 512 MB NVidia / AMD Radeon / Intel (HD 3000, HD 4000) with support for Pixel Shader 3.0 (AMD Radeon X1000 not supported)
    • Additional: Broadband Internet connection
Ainda não há análises públicas deste produto
Você pode escrever a sua análise deste produto para compartilhar a sua experiência com a comunidade. Use a área acima dos botões de compra nesta página para escrevê-la.